Loading...
Searching...
No Matches
spa_audio_info_raw Struct Reference
SPA » Parameters

Audio information description. More...

`#include <spa/param/audio/raw.h>`

## Data Fields

enum spa_audio_format | format
uint32_t | flags
uint32_t | rate
uint32_t | channels
uint32_t | position [SPA_AUDIO_MAX_CHANNELS]

## Detailed Description

Audio information description.

Examples
  export-source.c, and spa/examples/adapter-control.c.

## Field Documentation

## format

enum spa_audio_format spa_audio_info_raw::format

## flags

uint32_t spa_audio_info_raw::flags

## rate

uint32_t spa_audio_info_raw::rate

## channels

uint32_t spa_audio_info_raw::channels

## position

uint32_t spa_audio_info_raw::position[SPA_AUDIO_MAX_CHANNELS]

The documentation for this struct was generated from the following file:

- spa/param/audio/raw.h